ur_rna.RNAstructureUI.drawing.runners

## Class StructureRunner

- java.lang.Object
- - ur_rna.RNAstructureUI.drawing.runners.RunnerTemplate
  - - ur_rna.RNAstructureUI.drawing.runners.StructureRunner

- All Implemented Interfaces:
    java.io.Serializable

      public class StructureRunner
      extends RunnerTemplate
      implements java.io.Serializable

  A class that runs RNAstructure Java structure drawing independently of the main RNAstructure application.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructureRunner()` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` The main method.
    `protected java.lang.String` | `selectFile()` Select an image file.

    - ### Methods inherited from class ur_rna.RNAstructureUI.drawing.runners.RunnerTemplate

      `addClosingListener, addClosingListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StructureRunner

          public StructureRunner()

      Constructor.

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      The main method.
      Parameters:
        `args` - The command line arguments (ignored).

    - #### selectFile

          protected java.lang.String selectFile()

      Description copied from class: `RunnerTemplate`
      Select an image file.
      Specified by:
        `selectFile` in class `RunnerTemplate`
      Returns:
        The image file.